function FadeOut(duration, done)
	local fade = {
		alpha = 0,
		timer = 0,
		duration = duration,
		done = done
	}

	function fade:draw()
		love.graphics.setBlendMode('alpha')
		love.graphics.setColor(0, 0, 0, self.alpha*0xff)
		love.graphics.rectangle('fill', 0, 0, scene.w, scene.h)
	end

	function fade:update(dtime)
		self.timer = self.timer+dtime
		self.alpha = math.min(self.timer / self.duration, 1)
		if self.timer >= self.duration and self.done then
			self.done()
		end
	end

	return fade
end
