function FoodSpawner()
	local spawner = {
		time = 0,
		interval = 0.15,
	}

	function spawner:mouseDown(mx, my, button)
		self.spawning = true
	end

	function spawner:mouseUp(mx, my, button)
		self.spawning = false
	end

	function spawner:spawn(mx, my)
		self.time = self.interval
		scene:add(Food(mx, my))
	end

	function spawner:update(dtime)
		if self.spawning then
			self.time = self.time - dtime
			if self.time <= 0 then
				self:spawn(love.mouse.getX(), love.mouse.getY())
			end
		else
			self.time = 0
		end
	end

	return spawner
end

function Food(x, y)
	local radius = 10

	local food = {
		x = x,
		y = y,
		size = radius,
		angle = 0,
		tag = 'food',
		circle = Circle(x, y, radius),
		time = 0
	}

	function food:draw()
		local r, g, b = 0xf0, 0xf0, 0x50

		local a = math.min(0x90 * self.time*3, 0x90)

		love.graphics.push()

		love.graphics.translate(self.x, self.y)
		love.graphics.rotate(self.angle)

		love.graphics.setColor({r, g, b/2, a/2})
		love.graphics.setLineWidth(10)
		love.graphics.circle('line', 0, 0, self.size)

		love.graphics.setColor({r, g, b, a/1.5})
		love.graphics.setLineWidth(6)
		love.graphics.circle('line', 0, 0, self.size)

		love.graphics.setColor({r, g, b, a})
		love.graphics.setLineWidth(3)
		love.graphics.circle('line', 0, 0, self.size)

		love.graphics.pop()
	end

	function food:update(dtime)
		self.angle = self.angle+1*dtime
		self.time = self.time+dtime
	end

	return food
end
