local COLOUR_HOSTILE = {0xff, 0x40, 0x20, 0xff}

function Monster()
	local x = 0
	local y = 0
	local angle = 0
	local corner = math.random()

	if corner < 0.25 then
		x = -50
		y = -50
		angle = 45
	elseif corner < 0.5 then
		x = scene.w + 50
		y = -50
		angle = 270+45
	elseif corner < 0.75 then
		x = scene.w + 50
		y = scene.h + 50
		angle = 180+45
	else
		x = -50
		y = scene.h + 50
		angle = 90+45
	end
	local monster = Creature(x, y, genotype.generate(), 255, angle, true, COLOUR_HOSTILE)
	monster.canSpawn = false
	monster.edgeBounce = false
	monster.hostile = true
	monster.tag = 'monster'
	return monster
end

function MonsterSpawner()
	local spawner = {
		time = 0,
		interval = 2
	}

	function spawner:update(dtime)
		self.time = self.time+dtime
		if self.time > self.interval and #scene:getTag('monster') < 50 then
			scene:add(Monster(0, 0))
			self.time = 0
			self.interval = self.interval-0.01
			if self.interval < 0.2 then
				self.interval = 0.2
			end
		end
	end

	return spawner
end
